Redmine - Feature #12915

Display Category field back again if no categories are defined in project and user can create
categories

2013-01-20 18:53 - Etienne Massip

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Wont fix

Description

Now that it is possible to define core issue form fields involved in the workflow, there is no more reason to hide the Category field if
no categories are defined in the project and the user has the right to create new Categories.

See #2619#note-3 for statement about why it as hidden.

Note: no sure but this issue might be applicable to Version field too.

Related issues:
Related to Redmine - Defect #2619: Categories field displays when no categori... Closed 2009-01-29

History

#1 - 2013-01-20 19:11 - Jean-Philippe Lang

there is no more reason to hide the Category field if no categories are defined in the project

If some projects don't use Categories but some other do, the field can not be disabled by the workflow setup.

#2 - 2013-01-20 19:35 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Wont fix

Jean-Philippe Lang wrote:

there is no more reason to hide the Category field if no categories are defined in the project

If some projects don't use Categories but some other do, the field can not be disabled by the workflow setup.

Sure, that's why | didn't propose it as candidate. In some way this issue is related to those tasking the ability to (re?)define WF at project level.

We can close it for now, guess it' meaningless until such functionality is actually implemented.

#3 - 2013-01-25 12:08 - Etienne Massip

Jean-Philippe Lang wrote:

If some projects don't use Categories but some other do, the field can not be disabled by the workflow setup.

The Category field is displayed empty after the issue has been created in a project which has no category defined, this is inconsistent?
